OpenStack

From FedoraProject

Revision as of 15:19, 16 January 2012 by Markmc (Talk | contribs)

Jump to: navigation, search

Contents

OpenStack

OpenStack consists of a number services for running IaaS clouds. They are the Object Store (Swift), Compute (Nova) and Image (Glance) services.

The Diablo release of OpenStack was included Fedora 16. The Essex release will be included in Fedora 17.

This page tracks Fedora Cloud SIG's effort to maintain OpenStack in Fedora.

Getting Started

See Getting started with OpenStack Nova for details on how to try out the OpenStack packages on Fedora 16.

Packages

Package Reviews

Packaging in progress:

  1. openstack-horizon - self service web UI (Cole Robinson)
  2. openstack-melange - network information service (Bob Kukura)

ToDo

Prepare for F16 test day:

Notable bugs:

Packaging:

  • Dashboard
  • Quantum
  • VNC console/ajaxterm
  • See also the "to package" list below

Integration with Aeolus:

  • Deltacloud driver for OpenStack 1.1 API
  • Image factory support for uploading to OpenStack

Misc project ideas:

  • Fedora package builds of trunk in upstream's CI system
  • Image building service based on Oz
  • Use libguestfs for file injection
  • Use Qpid instead of RabbitMQ

Images

Rather than recommending users to download pre-built Ubuntu images in Getting_started_with_OpenStack Nova, we should have a set of official Fedora images like Cloud_SIG/EC2_Images. These should be built using similar process to the EC2 images.

For now, we can suggest users build Fedora images using Oz.

To Package

  1. noVNC - a HTML5 VNC client
  2. openstack-reddwarf - database as a service (will be part of openstack-nova?
  3. crowbar - OpenStack deployment service and chef wrapper

On the shelf for now:

  • openstack-burrow - message queue
    • Burrow development seems to have halted a while back when the main dev stopped working on it

Notes

OpenStack in Fedora 17

The following features are proposed for Fedora 17:

OpenStack in EPEL

All of the packages require python-sphinx. These all need at least this adjustment for EL6:

-BuildRequires:    python-sphinx
+%{?fedora:BuildRequires:    python-sphinx >= 1.0}
+%{?el6:BuildRequires:    python-sphinx10}

and to use sphinx-1.0-build instead of sphinx-build.

Packages in EPEL

Packages needing to be added to EPEL